Package org.eclipse.ecf.provider.filetransfer.httpclient4

# Class HttpClientDefaultSSLSocketFactoryModifier

java.lang.Object
org.eclipse.ecf.provider.filetransfer.httpclient4.HttpClientDefaultSSLSocketFactoryModifier

All Implemented Interfaces:
  `INonconnectedSocketFactory`, `org.eclipse.ecf.internal.provider.filetransfer.httpclient4.ISSLSocketFactoryModifier`

public class HttpClientDefaultSSLSocketFactoryModifier extends Object implements org.eclipse.ecf.internal.provider.filetransfer.httpclient4.ISSLSocketFactoryModifier, INonconnectedSocketFactory

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DEFAULT_SSL_PROTOCOL`

## Constructor Summary

Constructors
Constructor
Description
`HttpClientDefaultSSLSocketFactoryModifier()`

## Method Summary

Modifier and Type
Method
Description
`Socket`
`createSocket()`
`void`
`dispose()`
`INonconnectedSocketFactory`
`getNonconnnectedSocketFactory()`
`SSLContext`
`getSSLContext(String protocols)`
`SSLSocketFactory`
`getSSLSocketFactory()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### DEFAULT_SSL_PROTOCOL

public static final String DEFAULT_SSL_PROTOCOL

See Also:
  - Constant Field Values

## Constructor Details

### HttpClientDefaultSSLSocketFactoryModifier

public HttpClientDefaultSSLSocketFactoryModifier()

## Method Details

### getSSLSocketFactory

public SSLSocketFactory getSSLSocketFactory() throws IOException

Specified by:
  `getSSLSocketFactory` in interface `org.eclipse.ecf.internal.provider.filetransfer.httpclient4.ISSLSocketFactoryModifier`
Throws:
  `IOException`

### getSSLContext

public SSLContext getSSLContext(String protocols)

### createSocket

public Socket createSocket() throws IOException

Specified by:
  `createSocket` in interface `INonconnectedSocketFactory`
Throws:
  `IOException`

### dispose

public void dispose()

Specified by:
  `dispose` in interface `org.eclipse.ecf.internal.provider.filetransfer.httpclient4.ISSLSocketFactoryModifier`

### getNonconnnectedSocketFactory

public INonconnectedSocketFactory getNonconnnectedSocketFactory()

Specified by:
  `getNonconnnectedSocketFactory` in interface `org.eclipse.ecf.internal.provider.filetransfer.httpclient4.ISSLSocketFactoryModifier`